Bug 682390 - assumes ethernet devices are named ethX
assumes ethernet devices are named ethX
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 682334 682391
  Show dependency treegraph
 
Reported: 2011-03-04 22:04 EST by Bill Nottingham
Modified: 2014-03-16 23:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 682391 (view as bug list)
Environment:
Last Closed: 2012-08-07 16:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Can't manage masquerade with system-config-firewall (234.45 KB, image/jpeg)
2011-09-12 17:02 EDT, RafaelRS
no flags Details

  None (edit)
Description Bill Nottingham 2011-03-04 22:04:50 EST
Description of problem:

Network devices can have arbitrary names, and due to
http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming, will have
different names in Fedora 15.

system-config-firewall-1.2.29/src/fw_config.py.in:STD_DEVICES = [ "eth", "ppp", "isdn", "ippp", "tun", "wlan" ]

It does get (at least in the GUI) devices from NM, so it may not be a huge deal. But filing for completeness.

Version-Release number of selected component (if applicable):

system-config-firewall-1.2.29

How reproducible:

By code inspection.
Comment 1 Thomas Woerner 2011-03-31 09:37:41 EDT
The STD_DEVICES list is only used to have groups for devices in the UI. Network manager is used to get the network devices in the UI, therefore this is not a real problem. A patch will be added to system-config-firewall to drop this group.

What about the names of ppp, isdn and tun devices? These will be as is?
Comment 2 Bill Nottingham 2011-03-31 11:51:48 EDT
PPP, isdn, and tun devices shouldn't change. (You may already be able to rename tun devices, but we currently don't do that in anything.)
Comment 3 RafaelRS 2011-09-12 17:02:44 EDT
Created attachment 522793 [details]
Can't manage masquerade with system-config-firewall

# ifconfig
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1178 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1178 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:87673 (85.6 KiB)  TX bytes:87673 (85.6 KiB)

p3p1      Link encap:Ethernet  HWaddr 00:03:47:72:6B:55  
          inet addr:93.157.229.20  Bcast:93.157.229.255  Mask:255.255.255.0
          inet6 addr: fe80::203:47ff:fe72:6b55/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:9115215 errors:0 dropped:56154 overruns:0 frame:0
          TX packets:9448048 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:511882877 (488.1 MiB)  TX bytes:3893752290 (3.6 GiB)

p34p1     Link encap:Ethernet  HWaddr 90:E6:BA:72:23:99  
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::92e6:baff:fe72:2399/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:10658467 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12560716 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:3950681508 (3.6 GiB)  TX bytes:2783383547 (2.5 GiB)
          Interrupt:44 Base address:0xa000
Comment 4 RafaelRS 2011-09-12 17:05:42 EDT
Comment on attachment 522793 [details]
Can't manage masquerade with system-config-firewall

# ifconfig
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1178 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1178 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:87673 (85.6 KiB)  TX bytes:87673 (85.6 KiB)

p3p1      Link encap:Ethernet  HWaddr 00:03:47:72:6B:55  
          inet addr:93.157.229.20  Bcast:93.157.229.255  Mask:255.255.255.0
          inet6 addr: fe80::203:47ff:fe72:6b55/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:9115215 errors:0 dropped:56154 overruns:0 frame:0
          TX packets:9448048 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:511882877 (488.1 MiB)  TX bytes:3893752290 (3.6 GiB)

p34p1     Link encap:Ethernet  HWaddr 90:E6:BA:72:23:99  
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::92e6:baff:fe72:2399/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:10658467 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12560716 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:3950681508 (3.6 GiB)  TX bytes:2783383547 (2.5 GiB)
          Interrupt:44 Base address:0xa000
Comment 5 Thomas Woerner 2011-09-14 11:54:49 EDT
As the network devices have new names and also different names, it will not find them by name anymore. Please add them manually as a workaround for now by using the "Add" button.
Comment 6 RafaelRS 2011-09-16 12:15:17 EDT
That will be well, if a can see list of interfaces, when i add it, without going to console and typing 'ifconfig'.
Comment 7 Fedora End Of Life 2012-08-07 16:06:23 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Martin Dengler 2012-09-05 20:24:57 EDT
This is still a problem for me in F17 / Rawhide.  NM does not help (I don't see how it affects the list), nor is there a way in the TUI to "add them manually".

This patch fixes the problem for me, but it's only a workaround since of course these are not all the possible device names:


# diff -u /usr/share/system-config-firewall/fw_config.py{~,}
--- /usr/share/system-config-firewall/fw_config.py~     2012-04-24 05:27:21.000000000 +0800
+++ /usr/share/system-config-firewall/fw_config.py      2012-09-06 08:18:08.076169694 +0800
@@ -69,7 +69,7 @@
 
 SYSCTL_CONFIG = '/etc/sysctl.conf'
 
-STD_DEVICES = [ "eth", "ppp", "isdn", "ippp", "tun", "wlan" ]
+STD_DEVICES = [ "em", "p5p", "eth", "ppp", "isdn", "ippp", "tun", "wlan" ]
 FIREWALL_TYPES = [ "ipv4", "ipv6" ]
 FIREWALL_TABLES = [ "mangle", "nat", "filter" ]
 

Please can this be reopened and version set to Rawhide?

Note You need to log in before you can comment on or make changes to this bug.